commit: de75e752a87ede1b2e0c003e6c7b5a66bc7dc377
Author: Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Dec 29 13:37:50 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 13:37:50 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de75e752
media-libs/libde265: bump to 1.0.8
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-libs/libde265/Manifest | 1 +
media-libs/libde265/libde265-1.0.8.ebuild | 96 +++++++++++++++++++++++++++++++
2 files changed, 97 insertions(+)
diff --git a/media-libs/libde265/Manifest b/media-libs/libde265/Manifest
index b1a63c11584..465223a3e67 100644
--- a/media-libs/libde265/Manifest
+++ b/media-libs/libde265/Manifest
@@ -1,2 +1,3 @@
DIST libde265-1.0.3.tar.gz 399996 BLAKE2B
988b21085f82d3b33b0480542677be96db5219c1b767aae3674f89862fdaf3355dcfea3fa99699798a4fcc6b72a63a3a6f61a3fd8d2ea8483231205cd6d87175
SHA512
0153632afcc9733950e8354997ccd93eddad90e8e0f7362bfe49b93b11cb1756cf803d0ba5c07042aee80e18227613af768ca82baf7891c687edf5e253a129c4
DIST libde265-1.0.5.tar.gz 381041 BLAKE2B
d561a0e5f308bed557237b88317985912537f76701783bc30d81305cf9026a853746449ece5b3092534466ea13d67bac10b3258580c8de07489844bbef0395db
SHA512
3ff7310fc4621cac0ef1cb9bbc4df61724f8943d57f5263a3663a77f4d90d84716b2a708ee9fec306e909dc8b5e7fe645a641b6a6db795a89a01799be910831e
+DIST libde265-1.0.8.tar.gz 381963 BLAKE2B
0577623de2ef86e1122b5b5c3642a750bb222c4988a996168e060e8ffd9f5c0787d31331cc8738362d3fc3fb31e8eb659629cab068f0ff1c71de9d15ed1f2ceb
SHA512
0007138cb5da0d4cad1e118c01de249580f39c387a11f490d1e1f63ad0968ee2f7951e54580f298b3dbe31e5a3d1a7fa04454e11cbb82beaf8a9aaf56f5532ed
diff --git a/media-libs/libde265/libde265-1.0.8.ebuild
b/media-libs/libde265/libde265-1.0.8.ebuild
new file mode 100644
index 00000000000..29c28d991c8
--- /dev/null
+++ b/media-libs/libde265/libde265-1.0.8.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/strukturag/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/strukturag/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Open h.265 video codec implementation"
+HOMEPAGE="https://github.com/strukturag/libde265"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="enc265 dec265 sdl tools debug cpu_flags_x86_sse4_1 cpu_flags_arm_neon
cpu_flags_arm_thumb"
+# IUSE+=" sherlock265" # Require libvideogfx or libswscale
+
+RDEPEND="
+ dec265? (
+ sdl? ( media-libs/libsdl )
+ )"
+
+# Sherlock265 require libvideogfx or libswscale
+#RDEPEND+="
+# sherlock265? (
+# media-libs/libsdl
+# dev-qt/qtcore:5
+# dev-qt/qtgui:5
+# dev-qt/qtwidgets:5
+# media-libs/libswscale
+# )
+#"
+
+DEPEND="${RDEPEND}"
+BDEPEND="dec265? ( virtual/pkgconfig )"
+
+# Sherlock265 require libvideogfx or libswscale
+#BDEPEND+=" sherlock265? ( virtual/pkgconfig )"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.0.2-qtbindir.patch )
+
+src_prepare() {
+ default
+
+ eautoreconf
+
+ # without this, headers would be missing and make would fail
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --disable-static
+ --enable-log-error
+ ax_cv_check_cflags___msse4_1=$(usex cpu_flags_x86_sse4_1)
+ ax_cv_check_cflags___mfpu_neon=$(usex cpu_flags_arm_neon)
+ $(use_enable cpu_flags_arm_thumb thumb)
+ $(use_enable debug log-info)
+ $(use_enable debug log-debug)
+ $(use_enable debug log-trace)
+ $(multilib_native_use_enable enc265 encoder)
+ $(multilib_native_use_enable dec265)
+ )
+
+ # myeconfargs+=( $(multilib_native_use_enable sherlock265) ) # Require
libvideogfx or libswscale
+ myeconfargs+=( --disable-sherlock265 )
+
+ econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ default
+
+ if multilib_is_native_abi; then
+ # Remove useless, unready and test tools
+ rm "${ED}"/usr/bin/{tests,gen-enc-table,yuv-distortion} || die
+ if ! use tools; then
+ rm
"${ED}"/usr/bin/{bjoentegaard,block-rate-estim,rd-curves} || die
+ rm "${ED}"/usr/bin/acceleration_speed || die
+ fi
+ else
+ # Remove all non-native binary tools
+ rm "${ED}"/usr/bin/* || die
+ fi
+}
+
+multilib_src_install_all() {
+ find "${ED}" -name '*.la' -delete || die
+ einstalldocs
+}